#
# This is 2.1.10 circa 2012.2.1 and grizzly-1
#

Name:       python-quantumclient
Epoch:      1
Version:    2.1.10
Release:    1%{?dist}
Summary:    Python API and CLI for OpenStack Quantum

%global hash gf6dcfd8

Group:      Development/Languages
License:    ASL 2.0
URL:        http://launchpad.net/python-quantumclient/
BuildArch:  noarch

Source0:    http://tarballs.openstack.org/python-quantumclient/python-quantumclient-%{version}.%{hash}.tar.gz

Requires:   pyparsing
Requires:   python-cliff >= 1.0
Requires:   python-httplib2
Requires:   python-prettytable >= 0.6
Requires:   python-setuptools
Requires:   python-simplejson

BuildRequires: python2-devel
BuildRequires: python-setuptools

%description
Client library and command line utility for interacting with Openstack
Quantum's API.

%prep
%setup -q -n %{name}-%{version}.%{hash}

# Change cliff version requirement (https://bugs.launchpad.net/python-quantumclient/+bug/1049989)
sed -i 's/cliff>=1.2.1/cliff>=1.0/' tools/pip-requires

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Install other needed files
install -p -D -m 644 tools/quantum.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/quantum.bash_completion

# Remove unused files
rm -rf %{buildroot}%{python_sitelib}/quantumclient/tests

%files
%doc LICENSE
%doc README
%{_bindir}/quantum
%{python_sitelib}/quantumclient
%{python_sitelib}/*.egg-info
%{_sysconfdir}/bash_completion.d


%changelog
* Mon Dec 3 2012 Robert Kukura <rkukura@redhat.com> - 1:2.1.10-1
- Update to 2.1.10
- Add pyparsing dependency
- Deal with hash in tarball name
- Install /etc/bash_completion.d/quantum.bash_completion

* Mon Sep 24 2012 Robert Kukura <rkukura@redhat.com> - 1:2.1.1-0
- Update to 2.1.1

* Wed May 02 2012 Pádraig Brady <pbrady@redhat.com> - 2012.1-3
- Depend on parallel installed version of python-paste-deploy

* Fri Apr 13 2012 Pádraig Brady <pbrady@redhat.com> - 2012.1-2
- adjust to support EPEL

* Mon Apr  9 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-1
- Update to essex final release

* Thu Apr  5 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.5.rc2
- Update to essex rc2 milestone
- Exclude tests

* Wed Mar 21 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.4.rc1
- Update to official essex rc1 milestone
- Include LICENSE file

* Mon Mar 19 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.3.e4
- Update to essex RC1

* Thu Mar  1 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.2.e4
- Update to essex milestone 4

* Thu Jan 26 2012 Cole Robinson <crobinso@redhat.com> - 2012.1-0.1.e3
- Initial package
